低危 Jupyter Notebook输入验证错误漏洞

CVE编号

CVE-2020-26215

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-19
漏洞描述
Jupyter Notebook是一套用于创建、共享代码和说明性文本文档的开源Web应用程序。 Jupyter Notebook 6.1.5之前版本存在安全漏洞,该漏洞源于有一个开放重定向漏洞。一个恶意制作的笔记本服务器链接可能会将浏览器重定向到另一个网站。

解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接: https://github.com/jupyter/notebook/security/advisories/GHSA-c7vm-f5p4-8fqh


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 jupyter notebook * Up to
(excluding)
6.1.5
运行在以下环境
系统 debian_10 jupyter-notebook * Up to
(including)
5.7.8-1
运行在以下环境
系统 debian_9 jupyter-notebook * Up to
(excluding)
4.2.3-4+deb9u2
运行在以下环境
系统 opensuse_Leap_15.1 jupyter-notebook * Up to
(excluding)
5.7.7-lp151.2.3.1
运行在以下环境
系统 opensuse_Leap_15.2 jupyter-notebook * Up to
(excluding)
5.7.8-lp152.2.3.1
阿里云评分
3.7
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-601 指向未可信站点的URL重定向(开放重定向)
阿里云安全产品覆盖情况